package cn.fateverse.workflow.mapper;

import cn.fateverse.workflow.entity.ProcessFile;

/**
 * @author Clay
 * @date 2023/1/10
 */
public interface ProcessFileMapper {

    /**
     * 新增文件信息
     *
     * @param file 流程专用文件对象
     * @return 新增结果
     */
    int insert(ProcessFile file);


    /**
     * 删除文件
     *
     * @param fileId 文件id
     * @return 操作结果
     */
    int delete(Long fileId);

    /**
     * 通过id查询文件信息
     *
     * @param fileId 文件第
     * @return 流程文件对象
     */
    ProcessFile selectById(Long fileId);


}
